Skip to content

updateInspectionDocumentSampling

WRITE

Update inspection document sampling.

POST /api/v1/quality/updateInspectionDocumentSampling
curl -X POST '<your-host>/api/v1/quality/updateInspectionDocumentSampling' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "samplingPlanType": "string",
    "samplingSampleSize": "string",
    "samplingPercentage": "string",
    "samplingAql": "string",
    "samplingInspectionLevel": "string",
    "samplingSeverity": "string",
    "inspectionDocumentId": "string"
  }'

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "samplingPlanType": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "All",
            "First",
            "Percentage",
            "AQL"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "samplingSampleSize": {
      "anyOf": [
        {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        {
          "type": "null"
        }
      ]
    },
    "samplingPercentage": {
      "anyOf": [
        {
          "type": "number",
          "exclusiveMinimum": 0,
          "maximum": 100
        },
        {
          "type": "null"
        }
      ]
    },
    "samplingAql": {
      "anyOf": [
        {
          "type": "number",
          "exclusiveMinimum": 0
        },
        {
          "type": "null"
        }
      ]
    },
    "samplingInspectionLevel": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "I",
            "II",
            "III",
            "S1",
            "S2",
            "S3",
            "S4"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "samplingSeverity": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "Normal",
            "Tightened",
            "Reduced"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "inspectionDocumentId": {
      "type": "string"
    }
  },
  "required": [
    "samplingPlanType",
    "samplingSampleSize",
    "samplingPercentage",
    "samplingAql",
    "samplingInspectionLevel",
    "samplingSeverity",
    "inspectionDocumentId"
  ]
}